Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.connection
Class SocketChannel

    java.lang.Object
      com.sshtools.j2ssh.connection.Channel
          com.sshtools.j2ssh.connection.SocketChannel

Direct Known Subclasses:
  AgentSocketChannel, ForwardingSocketChannel

public abstract class SocketChannel
extends Channel

DOCUMENT ME!

Field Summary
`protected java.net.Socket` | `socket` DOCUMENT ME!

Fields inherited from class com.sshtools.j2ssh.connection.Channel
`connection, localChannelId, localPacketSize, localWindow, remoteChannelId, remotePacketSize, remoteWindow, state`

Constructor Summary
`SocketChannel()`

Method Summary
`void` | `bindSocket(java.net.Socket socket)` DOCUMENT ME!
`protected void` | `onChannelClose()` DOCUMENT ME!
`protected void` | `onChannelData(SshMsgChannelData msg)` DOCUMENT ME!
`protected void` | `onChannelEOF()` DOCUMENT ME!
`protected void` | `onChannelExtData(SshMsgChannelExtendedData msg)` DOCUMENT ME!
`protected void` | `onChannelOpen()` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.connection.Channel
`addEventListener, close, finalizeClose, getChannelConfirmationData, getChannelOpenData, getChannelType, getLocalChannelId, getLocalPacketSize, getLocalWindow, getMaximumPacketSize, getMaximumWindowSpace, getMinimumWindowSpace, getName, getRemoteChannelId, getRemotePacketSize, getRemoteWindow, getState, init, init, isClosed, isLocalEOF, isOpen, isRemoteEOF, onChannelRequest, open, processChannelData, processChannelData, remoteClose, sendChannelData, sendChannelExtData, setLocalEOF, setName, setRemoteEOF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### socket

    protected java.net.Socket socket

  DOCUMENT ME!

Constructor Detail

### SocketChannel

    public SocketChannel()

Method Detail

### bindSocket

    public void bindSocket(java.net.Socket socket)
                    throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `socket` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelData

    protected void onChannelData(SshMsgChannelData msg)
                          throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onChannelData` in class `Channel`
  Parameters:
    `msg` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelEOF

    protected void onChannelEOF()
                         throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onChannelEOF` in class `Channel`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelClose

    protected void onChannelClose()
                           throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onChannelClose` in class `Channel`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelOpen

    protected void onChannelOpen()
                          throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onChannelOpen` in class `Channel`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelExtData

    protected void onChannelExtData(SshMsgChannelExtendedData msg)
                             throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onChannelExtData` in class `Channel`
  Parameters:
    `msg` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD